
# Features

Music streaming server for my quirky needs:

* No damn apps
* No damn force fed indexing
* No damn overengineering
* Yes works pretty much like grep for searching tracks
* Yes damn scalable, tested to work with 56k+ tracks
* Yes just damn web application, use your browser
* Optional metadata caching system
* Optional transcode support

# Dependencies

On FreeBSD:

```bash
pkg install py36-mutagen py36-Flask py36-click-7.0 ffmpeg nginx madplay gmake vorbis-tools
cd /usr/ports/audio/lame/ && make install
```

# Running

To run self-contained web server:

```bash
python3 main.py serve --root /path/to/library
```

To cache metainformation in index.xspf playlist files:

```bash
python3 main.py metagen --root /path/to/library
```

# Known bugs

FLAC playback stops abruptly in Firefox. Seems to be a common problem on the web.
Use Chrome or Chromium, you need the performance of Webkit to handle lots of search results anyway.
